Summary: Advanced Virtualization packages from the CentOS Virtualization SIG repository
Name: centos-release-advanced-virtualization
Version: 1.0
Release: 3%{?dist}.0.1
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Virtualization
Source0: CentOS-Advanced-Virtualization.repo
Source1: COPYING

BuildArch: noarch

Requires: centos-release-virt-common
Requires: centos-release
Requires(post): centos-release

%description
yum configuration and basic docs for Advanced Virtualization packages as delivered via the
CentOS Virtualization SIG.

%prep
cp %{SOURCE1} .

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Advanced-Virtualization.repo

%post
source /etc/os-release
if [[ $ID == 'centos' && $NAME == *'Stream' ]] || [ $ID != 'rocky' ]; then
    echo "8-stream" > /etc/dnf/vars/avstream
    echo "advancedvirt-common" > /etc/dnf/vars/avdir
else
    echo "8" > /etc/dnf/vars/avstream
    echo "advanced-virtualization" > /etc/dnf/vars/avdir
fi

%postun
if [ $1 -eq 0 ] ; then
    rm -f /etc/dnf/vars/avstream
    rm -f /etc/dnf/vars/avdir
fi


%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Advanced-Virtualization.repo
%license COPYING

%changelog
* Wed Jun 09 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-3
- Add support for CentOS Stream 8 repos

* Wed Sep 02 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-2
- Set module_hotfixes=1 for advanced virtualization repos

* Thu Jun 04 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-1
- Initial packaging
